package com.beanpodtech.allinone.bean;

public class User extends BaseRequestBean {
    //用户名
    private String userName;
    private int code;
    //头像
    private String avatar;
    private String token;
    //昵称
    private String nickName;
    //用户Id
    private String userId;
    //学校名称
    private String schoolName;
    //年级
    private String grade;
    //机构名
    private String branchName;
    //机构下学校
    private String branchSchool;
    //生日
    private String birthday;
    //头像
    private String headImg;
    //地址
    private String address;
    //父母姓名
    private String parentName;
    //是否是校长
    private boolean isPrincipal;
    //是否有人脸底图
    private boolean isHaveFaceUrl;

    public boolean isHaveFaceUrl() {
        return isHaveFaceUrl;
    }

    public void setHaveFaceUrl(boolean haveFaceUrl) {
        isHaveFaceUrl = haveFaceUrl;
    }

    public boolean isPrincipal() {
        return isPrincipal;
    }

    public void setPrincipal(boolean principal) {
        isPrincipal = principal;
    }

    public User() {
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getBranchName() {
        return branchName;
    }

    public void setBranchName(String branchName) {
        this.branchName = branchName;
    }

    public String getBranchSchool() {
        return branchSchool;
    }

    public void setBranchSchool(String branchSchool) {
        this.branchSchool = branchSchool;
    }

    public String getBirthday() {
        return birthday;
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    public String getHeadImg() {
        return headImg;
    }

    public void setHeadImg(String headImg) {
        this.headImg = headImg;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getuserName() {
        return userName;
    }

    public void setuserName(String userName) {
        this.userName = userName;
    }

    public int getcode() {
        return code;
    }

    public void setcode(int code) {
        this.code = code;
    }

    public String getavatar() {
        return avatar;
    }

    public void setavatar(String avatar) {
        this.avatar = avatar;
    }

    public String gettoken() {
        return token;
    }

    public void settoken(String token) {
        this.token = token;
    }

    public String getnickName() {
        return nickName;
    }

    public void setnickName(String nickName) {
        this.nickName = nickName;
    }
}
